import Mirador from 'mirador';
import { miradorImageToolsPlugin } from 'mirador-image-tools';
var tamu = {
  getInstance: function getInstance() {
    var _miradorInstance = null;
    return {
      initialize: function initialize(domId) {
        console.log('initialize', domId);

        if (_miradorInstance == null) {
          _miradorInstance = Mirador.viewer({
            id: domId,
            window: {
              allowClose: false,
              allowFullscreen: true,
              hideWindowTitle: true,
              sideBarOpen: false
            },
            windows: [],
            workspaceControlPanel: {
              enabled: false
            },
            workspace: {
              showZoomControls: true
            }
          }, [miradorImageToolsPlugin]);
        }
      },
      addWindow: function addWindow(manifestId) {
        console.log('addWindow', manifestId);

        if (_miradorInstance != null) {
          var action = Mirador.actions.addWindow({
            manifestId: manifestId,
            imageToolsEnabled: true,
            imageToolsOpen: false
          });

          _miradorInstance.store.dispatch(action);
        }
      },
      destroy: function destroy() {
        console.log('destroy', _miradorInstance);

        if (_miradorInstance != null) {
          _miradorInstance.unmount();

          _miradorInstance = null;
        }
      }
    };
  }
};
export default {
  tamu: tamu
};